QGIS 3.3 MASTER dbmanager time execution query not present

2018-09-27 04:32 PM - salvatore fiandaca

Status: Closed
Priority: Normal
Assignee: matteo ghetta

Category: Translations and international
Affected QGIS version:3.3(master)

Operating System: win 10 - osgeo4w

Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 27793

Description

in QGIS 2.18 the query execution time is present in the dbmanager,

in the master it is no longer present.

History

#1 - 2018-10-03 10:51 AM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2018-10-03 11:40 AM - Alessandro Pasotti
- Status changed from Open to Feedback

| cannot reproduce on linux, is it windows only?

#3 - 2018-10-03 12:23 PM - salvatore fiandaca

Alessandro Pasotti wrote:

I cannot reproduce on linux, is it windows only?

| just checked into GNU / Linux Mint 19
QGIS 3.2.3 there is no
QGIS master - compiled a month ago there is not

#4 - 2018-10-03 02:07 PM - Giovanni Manghi

also Ok here: master/kubuntu 18.04

#5 - 2018-10-03 02:13 PM - Alessandro Pasotti

- Status changed from Feedback to Open

- Assignee changed from Alessandro Pasotti to matteo ghetta

- Category changed from DB Manager to Translations and international

It's a bug in the italian translations:
>>> self.tr("{0} rows, {1:.3f} seconds")
'{0} righe, {1:.1f} secondi {0}?} {1:.3f?}'

self.tr("{0} rows, {1:.3f} seconds").format(123, 1234.56789) # Error!

#6 - 2018-10-03 02:42 PM - Alessandro Pasotti

btw, even if the translation was ok, there is still an error in the reported value ... I'm fixing it now.

#7 - 2018-10-03 03:23 PM - Alessandro Pasotti

See: https://github.com/qgis/QGIS/pull/8101 for some (mostly unrelated) issues

#8 - 2018-10-04 08:45 PM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in transifex

Files
Immagine 1.png 108 KB 2018-09-27 salvatore fiandaca
2024-03-13 2/2


https://github.com/qgis/QGIS/pull/8101

